Bug 468169 - (CVE-2008-4682) CVE-2008-4682 wireshark: DoS (app abort) via a malformed .ncf file with an unknown/unexpected packet type
CVE-2008-4682 wireshark: DoS (app abort) via a malformed .ncf file with an u...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
reported=20081022,public=20081001,sou...
: Security
Depends On: 486548 486549 486550 486551 486552 833990
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 08:41 EDT by Jan Lieskovsky
Modified: 2012-06-20 10:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-05 02:29:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2008-10-23 08:41:02 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-4682 to
the following vulnerability:

wtap.c in Wireshark 0.99.7 through 1.0.3 allows remote attackers to
cause a denial of service (application abort) via a malformed Tamos
CommView capture file (aka .ncf file) with an "unknown/unexpected
packet type" that triggers a failed assertion.

Affected Wireshark versions: 0.99.7 through 1.0.3 

References:

http://www.wireshark.org/security/wnpa-sec-2008-06.html
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2926
http://www.securityfocus.com/bid/31838
http://www.frsirt.com/english/advisories/2008/2872
http://securitytracker.com/id?1021069
http://secunia.com/advisories/32355
Comment 4 Red Hat Product Security 2009-03-05 02:29:28 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2009-0313.html

Note You need to log in before you can comment on or make changes to this bug.